Add support for Int16# and Word16#
ClosedPublic

Authored by Abhiroop on Jul 24 2018, 4:02 PM.

Details

Summary

This diff is dependent upon D4475. It builds on top of D4475 to add support for Int16# and Word16#

NOTE: There are changes made to binary associated with this diff.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
Abhiroop created this revision.Jul 24 2018, 4:02 PM
Abhiroop edited the summary of this revision. (Show Details)Jul 24 2018, 4:33 PM
Abhiroop updated this revision to Diff 17443.Jul 24 2018, 4:35 PM
  • Add support for Int16# and Word16# in binary
Abhiroop added inline comments.Jul 24 2018, 4:51 PM
.gitmodules
3 ↗(On Diff #17443)

I believe the CI will pick up my fork and build using it but I am not sure how the merging process work for changes made to submodules. Can someone tell me how to proceed with this?

carter requested changes to this revision.Jul 24 2018, 4:59 PM

This just looks like Michal T's patch ... not the work for simd ONTOP of his patch ... i think you did the arc command line interface wrong...

This revision now requires changes to proceed.Jul 24 2018, 4:59 PM

I will add the Int SIMD stuff on top of this. This adds support for Int16# and Word16# on top of the Int8# and Word8# support in D4475

Abhiroop requested review of this revision.Oct 4 2018, 2:30 PM

@Abhiroop, where can the binary bits for this be found?

@bgamari The changes in binary for this particular diff is here: https://github.com/Abhiroop/packages-binary/commit/6e83362bb2efafa1cf9ca74fef1f4f9180915858

Overall all the Int related changes are available in the int8 branch of this repo: https://github.com/Abhiroop/packages-binary/tree/int8

bgamari requested changes to this revision.Nov 2 2018, 4:16 PM

@Abhiroop, do you think you could rebase this? The Int8#/Word8# patch has now landed.

This revision now requires changes to proceed.Nov 2 2018, 4:16 PM
This revision was not accepted when it landed; it landed in state Needs Revision.Sat, Nov 17, 9:03 AM
Closed by commit rGHC36fcf9edee31: Introduce Int16# and Word16# (authored by Abhiroop, committed by bgamari). · Explain Why
This revision was automatically updated to reflect the committed changes.